Subject: bug#14526: 24.3.50; Cannot update game score for `M-x bubbles'

From: Stefan Kangas <[email-masked]>
Date: Thu, 26 Sep 2019 14:29:02 +0200

Xue Fuqiao <[email-masked]> writes:

> To reproduce (at least in my system):
>   emacs -Q
>   M-x bubbles RET
>   <<remove all bubbles>>
>
> Then two buffers appear:
>
>      ---------- Buffer: *bubbles* ----------
>  Selected:   25
>  Score:    2375
>  Game Over!
>      ---------- Buffer: *bubbles* ----------
>
>      ---------- Buffer: *bubbles* ----------
>      update-game-score(34742) malloc: *** error for object
> 0xa000000000000000: pointer being realloc'd was not allocated
>      *** set a breakpoint in malloc_error_break to debug
>      ---------- Buffer: *bubbles* ----------
>
> I think it is a bug in bubbles.el or gamegrid.el.

I can't reproduce this on Emacs 26.1 or current master on GNU/Linux.

I can't reproduce it on Emacs 26.3 or current master on macOS either.

Are you still seeing this?  If I don't hear back from you in a couple
of weeks, I'll just close this as unreproducible.

Best regards,
Stefan Kangas